Description

[19:27] bjcasey Amadeus, CyberTech: Is there a nice way
to jettison multiple items at once like a
normal user would do? ie. A normal user
would highlight all of the ore they want to
jettison before jettisoning it. I've only ever
been able to jettison 1 stack of something,
and then open the newly formed container
and transfer to the container. That's not a
nice way of doing things.

[20:55] CyberTech bjcasey: Item.Jettison takes a single item
right now, but the jettison function can
take a list of itemids, so we can put it in
MyShip.Jettison so you can jettison
multiple idemids

[20:56] bjcasey that would be great.

[20:57] bjcasey Is that a lot of work?

[20:57] CyberTech no, it's very minor, and yes, would take an
index of item IDs, not types

[20:57] bjcasey I'm only asking because it would make
what I"m doing right now much easier. But
if it's going to take a while to implement,
I'll just keep doing it the long way.

[20:57] CyberTech or index of items

[20:58] bjcasey oh right, i meant item ids

[20:58] bjcasey I'll forge request it now.

[20:58] CyberTech it's identical to item.jettison except we
have to turn the list into a python list first.

[20:58] CyberTech i think the best place for it is
MyShip.Jettison

[20:58] bjcasey would just make it look more human like

[20:58] bjcasey i know when i'mplaying, i don't jettison just
a single stack

[20:58] CyberTech as a method, tho

History

#1 - 2018-03-18 06:32 PM - Amadeus

- Status changed from New to Implemented

March 18, 2018
[20180306.0004]

* Added new METHOD to the 'ship' datatype: "Jettison". This method takes one argument, either

index:item or index:int64
